Package org.flowable.cmmn.model

# Class TimerEventListener

java.lang.Object
org.flowable.cmmn.model.BaseElement
org.flowable.cmmn.model.CmmnElement
org.flowable.cmmn.model.CaseElement
org.flowable.cmmn.model.PlanItemDefinition
org.flowable.cmmn.model.EventListener
org.flowable.cmmn.model.TimerEventListener

All Implemented Interfaces:
  `HasExtensionAttributes`, `HasLifecycleListeners`

public class TimerEventListener extends EventListener

Author:
  Joram Barrez

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `timerExpression`
  `protected PlanItem`
  `timerStartTriggerPlanItem`
  `protected String`
  `timerStartTriggerSourceRef`
  `protected String`
  `timerStartTriggerStandardEvent`

  ### Fields inherited from class org.flowable.cmmn.model.EventListener

  `availableConditionExpression`

  ### Fields inherited from class org.flowable.cmmn.model.PlanItemDefinition

  `defaultControl, lifecycleListeners, planItemRef`

  ### Fields inherited from class org.flowable.cmmn.model.CaseElement

  `name, parent`

  ### Fields inherited from class org.flowable.cmmn.model.CmmnElement

  `documentation, documentationTextFormat`

  ### Fields inherited from class org.flowable.cmmn.model.BaseElement

  `attributes, extensionElements, id, xmlColumnNumber, xmlRowNumber`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TimerEventListener()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getTimerExpression()`
  `PlanItem`
  `getTimerStartTriggerPlanItem()`
  `String`
  `getTimerStartTriggerSourceRef()`
  `String`
  `getTimerStartTriggerStandardEvent()`
  `void`
  `setTimerExpression(String timerExpression)`
  `void`
  `setTimerStartTriggerPlanItem(PlanItem timerStartTriggerPlanItem)`
  `void`
  `setTimerStartTriggerSourceRef(String timerStartTriggerSourceRef)`
  `void`
  `setTimerStartTriggerStandardEvent(String timerStartTriggerStandardEvent)`

  ### Methods inherited from class org.flowable.cmmn.model.EventListener

  `getAvailableConditionExpression, setAvailableConditionExpression`

  ### Methods inherited from class org.flowable.cmmn.model.PlanItemDefinition

  `getDefaultControl, getLifecycleListeners, getPlanItemRef, setDefaultControl, setLifecycleListeners, setPlanItemRef, setValues, toString`

  ### Methods inherited from class org.flowable.cmmn.model.CaseElement

  `getName, getParent, getParentStage, setName, setParent`

  ### Methods inherited from class org.flowable.cmmn.model.CmmnElement

  `getDocumentation, getDocumentationTextFormat, setDocumentation, setDocumentationTextFormat, setValues`

  ### Methods inherited from class org.flowable.cmmn.model.BaseElement

  `addAttribute, addExtensionElement, getAttributes, getAttributeValue, getExtensionElements, getId, getXmlColumnNumber, getXmlRowNumber, setAttributes, setExtensionElements, setId, setValues, setXmlColumnNumber, setXmlRowNumber`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### timerExpression

    protected String timerExpression

  - ### timerStartTriggerSourceRef

    protected String timerStartTriggerSourceRef

  - ### timerStartTriggerPlanItem

    protected PlanItem timerStartTriggerPlanItem

  - ### timerStartTriggerStandardEvent

    protected String timerStartTriggerStandardEvent

- ## Constructor Details

  - ### TimerEventListener

    public TimerEventListener()

- ## Method Details

  - ### getTimerExpression

    public String getTimerExpression()

  - ### setTimerExpression

    public void setTimerExpression(String timerExpression)

  - ### getTimerStartTriggerSourceRef

    public String getTimerStartTriggerSourceRef()

  - ### setTimerStartTriggerSourceRef

    public void setTimerStartTriggerSourceRef(String timerStartTriggerSourceRef)

  - ### getTimerStartTriggerPlanItem

    public PlanItem getTimerStartTriggerPlanItem()

  - ### setTimerStartTriggerPlanItem

    public void setTimerStartTriggerPlanItem(PlanItem timerStartTriggerPlanItem)

  - ### getTimerStartTriggerStandardEvent

    public String getTimerStartTriggerStandardEvent()

  - ### setTimerStartTriggerStandardEvent

    public void setTimerStartTriggerStandardEvent(String timerStartTriggerStandardEvent)